WP5TableEOPGroup Class Reference

`#include <WP5TableEOPGroup.h>`

Inheritance diagram for WP5TableEOPGroup:

## Public Member Functions

| WP5TableEOPGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP5TableEOPGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP5Listener *listener) override
Public Member Functions inherited from WP5VariableLengthGroup
| WP5VariableLengthGroup ()
| ~WP5VariableLengthGroup () override
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Additional Inherited Members

Static Public Member Functions inherited from WP5VariableLengthGroup
static WP5VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP5VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## WP5TableEOPGroup()

WP5TableEOPGroup::WP5TableEOPGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## ~WP5TableEOPGroup()

WP5TableEOPGroup::~WP5TableEOPGroup | ( |  | ) |

override

## Member Function Documentation

## _readContents()

void WP5TableEOPGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Reimplemented from WP5VariableLengthGroup.

## parse()

void WP5TableEOPGroup::parse | ( | WP5Listener * | listener | ) |

override virtual

Implements WP5Part.

The documentation for this class was generated from the following files:

- WP5TableEOPGroup.h
- WP5TableEOPGroup.cpp